#!/usr/bin/env python


import numpy as np
import matplotlib.pyplot as plt

N = 1501

x = np.linspace(-1.5, 1.5, N)
y = np.linspace(-1.5, 1.5, N)*1j

c = np.zeros((N,N))*1j

for i in range(N):
  for j in range(N):
    c[i,j] = x[i] + y[j]


z = np.zeros((N,N), dtype=complex)
for i in range(500):
  z = z*z + c

plt.pcolormesh(x,y/1j,np.abs(z))
plt.colorbar()
plt.show()
